Bug 980098 - Missing clustering cache configuration differences
Missing clustering cache configuration differences
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: EAP 6.1.1
Assigned To: sgilda
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 08:27 EDT by Jitka Kozana
Modified: 2014-09-29 14:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.8 Build Name: 11863, Migration Guide-6.1-3 Build Date: 19-04-2013 15:34:49
Last Closed: 2013-09-16 16:20:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Kozana 2013-07-01 08:27:14 EDT
Title: Make Changes to Your Application for Clustering

Describe the issue:
Migration guide, part 3.2.7.: Clustering changes. 
This difference is missing:

In EAP5, user was able to specify a cache mode via command line and system property:
-Djboss.cluster.buddyRepl 
(via the same mechanism as described in part 5: Use an alternate protocol stack)
In EAP6, there is not buddy replication, user should use DIST cache mode instead.
Comment 2 sgilda 2013-07-02 09:30:35 EDT
More information from an email thread:

On 07/02/2013 03:42 AM, Duncan Doyle wrote:
> Jumping on this thread a bit late, but maybe this additional information can help. As far as I know, the Infinispan Web Cache (the HTTP session cache) in EAP6 uses replication by default (async replication, just like JBoss Cache did in 5). To use Infinispan DIST mode, you need to explicitly configure it: https://access.redhat.com/site/solutions/349973
> Cheers,
> Duncan

The second CLI command in the kbase article doesn't work for me though:

 $ bin/jboss-cli.sh --connect
[standalone@localhost:9999 /] /subsystem=infinispan/cache-container=web/:write-attribute(name=default-cache,value=dist)
{
    "outcome" => "success",
    "response-headers" => {
        "operation-requires-reload" => true,
        "process-state" => "reload-required"
    }
}
[standalone@localhost:9999 /] :reload
{"outcome" => "success"}
[standalone@localhost:9999 /] /subsystem=infinispan/cache-container=web/distributed-cache=dist/:write-attribute(name=owners,value=3)
{
    "outcome" => "failed",
    "failure-description" => "JBAS014807: Management resource '[
    (\"subsystem\" => \"infinispan\"),
    (\"cache-container\" => \"web\"),
    (\"distributed-cache\" => \"dist\")
]' not found",
    "rolled-back" => true
}

Note You need to log in before you can comment on or make changes to this bug.